#!/bin/sh /etc/rc.common
# Copyright (C) 2006-2011 OpenWrt.org

START=99
STOP=98

USE_PROCD=1

full_path=`find /sys/bus/usb/devices/1-1.1/1-1.1\:1.0 -name "ttyUSB*" -maxdepth 1 2> /dev/null`
device_name=`basename ${full_path} 2> /dev/null`

PROG="/usr/bin/bt_host -u /dev/${device_name} -f -b 500000"

start_service() {
		
		if [ ${#device_name} -lt 6 ]; then
			return
		fi
		
		procd_open_instance
		procd_set_param command ${PROG}
		procd_set_param respawn 3600 1 0
		procd_close_instance
}

#stop_service() {
#		kill -9 `pidof bt_host`
#}
